Xalan-Java 2.7.1: Class FilterIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class FilterIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.FilterIterator

public final class FilterIterator
extends DTMAxisIteratorBase

Similar to a CurrentNodeListIterator except that the filter has a simpler interface (only needs the node, no position, last, etc.) It takes a source iterator and a Filter object and returns nodes from the source after filtering them by calling filter.test(node).

Constructor Summary
`FilterIterator(DTMAxisIterator source, DTMFilter filter)`

Method Summary
`DTMAxisIterator` | `cloneIterator()`
`void` | `gotoMark()`
`boolean` | `isReverse()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`DTMAxisIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterIterator

    public FilterIterator(DTMAxisIterator source,
                          DTMFilter filter)

Method Detail

### isReverse

    public boolean isReverse()

  Overrides:
    isReverse in class DTMAxisIteratorBase

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class DTMAxisIteratorBase

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

### next

    public int next()

### setStartNode

    public DTMAxisIterator setStartNode(int node)

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.